Subject: Re: bug#24634: 25.1 on Windows (native and cygwin+w32): high CPU load with "wavy" characters

From: Georges Ko <[email-masked]>
Date: Sat, 08 Oct 2016 10:59:06 +0800

Eli Zaretskii <[email-masked]> writes:

>> > What font(s) is/are used on your system to display these characters?
>> 
>> I did some tests with "runemacs -Q", with the following results as an
>> org-mode buffer.
>> 
>> I can mitigate the problem by using language environment "English" and
>> font "MingLiu-SIZE" (2nd step), the worst case being language
>> environment "UTF-8" and font "Courier NEw-SIZE" (3rd step).
>
> So Symbola and Courier New don't cause slowdown, while MingLiu does?
>
> Do you have some custom fontset setup, or does Emacs use MingLiu for
> the WAVY LOW LINE by default, in "emacs -Q"?

Emacs uses MingLiu in "emacs -Q" on my system.

In "Initial setup" I just do "emacs -Q" and insert these characters and
see the fonts used to display ASCII characters (1st line), WAVY LINE
(2nd line) and WAVY LOW LINE (3rd character), which are:

  - ASCII         -O-Courier New-NNN-mono-13-*-*-*-c-*-iso8859-1
  - WAVY LINE     -O-Symbola-NNN-serif-13-*-*-*-p-*-iso8859-1
  - WAVY LOW LINE -O-MingLiU-NNN-mono-13-*-*-*-c-*-iso10646-1

and WAVY LINE     (Symbola) is OK (no slowdown) and
    WAVY LOW LINE (MingLiu) is NOK (slowdown).

After switching to "MingLiu-10" with (set-frame-font "MingLiu-10),
everything is smooth and using all use MingLiu-10 (2nd row of table):

  - ASCII, WAVY LINE -O-MingLiU-NNN-mono-13-*-*-*-c-*-iso8859-1
  - WAVY LOW LINE    -O-MingLiU-NNN-mono-13-*-*-*-c-*-gb2312.1980-0

> (But the way, setting language environment to UTF-8 on Windows is not
> a good idea, it will cause you trouble unless you make further
> customizations to countermand that.)

OK, let's narrow the scope and not consider UTF-8 cases (rows 3 and 4).

Georges
-- 
 Georges Ko                     [email-masked]                      2016-10-08